﻿Imports System.Collections.Generic
Imports System.Windows
Imports TreeViewContextMenu.VB.HierarchyConverter.Sample
Imports TreeViewContextMenu.VB.HierarchyConverter.Sample.ViewModels
Imports Telerik.Windows
Imports Telerik.Windows.Controls
Imports Telerik.Windows.Input

Partial Public Class MainPage
    Inherits UserControl

    Private converter As FolderConverter

    Public Sub New()
        InitializeComponent()

        converter = TryCast(Me.Resources("folderHierarchyConverter"), FolderConverter)

        converter.ItemsSource = FolderViewModel.Generate()

        Telerik.Windows.Input.Mouse.AddMouseUpHandler(Me, AddressOf OnRightClick)

    End Sub

    Private Sub OnRightClick(ByVal sender As Object, ByVal e As MouseButtonEventArgs)
        If (e.ChangedButton = MouseButton.Right) Then
            e.Handled = True
            ContextMenuBuilder.OpenContextMenu(applicationContextMenu, TryCast(e.OriginalSource, UIElement), e.GetPosition(Application.Current.RootVisual))
        End If
    End Sub


End Class

Public Class FolderConverter
    Inherits ReverseHierarchyConverter(Of FolderViewModel, Integer)

    Public Sub New()
        Me.Initialize(Function(f) f.Id, Function(f) f.ParentId, 0, -1)
    End Sub
End Class
