﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;

namespace TreeViewContextMenu.ViewModels
{
	public static class ObservableExtensions
	{
		public static IEnumerable<T> ToObservable<T>(this IEnumerable<T> target)
		{
			var result = new ObservableCollection<T>();
			foreach (var item in target.Cast<T>())
			{
				result.Add(item);
			}
			return result;
		}
	}
}
